# Overview
TAP is an end to end self service platform for Developers and Non Developers to create and market diverse Telco apps for individual or business needs. TAP is the Telco dream to build a complete mobile ecosystem by exposing Telco services via a rich set of Telco APIs. SMS, USSD, Charging, In-App Purchasing and LBS are some of the APIs that is being exposed through TAP.

We have created three charms in juju, in order to ease the effort put by the developers in preparing the environment and in configuring the dependencies. 
For more information, please watch the following youtube video:

https://www.youtube.com/watch?v=K3QNnk4LAoQ&feature=youtu.be

# CTAP documentation (API guide) charm
API guide documentation will cover details of the following APIs. For each API documentation shall give a brief overview and then it shall explain the parameters of the REST API.

- SMS API: Parameters in sending and receiving messages is explained
- USSD API: Parameters in sending and receiving USSD messages, navigating menus and accessing of services is explained
- Location API: Parameters in finding out the location of a person or a place is explained
- Charging API: Parameters in charging from an application user for the services provided, through their mobile account or any payment instrument in order to make a payment is explained
- Subscription API: Parameters in subscribing a user to an application is explained.

This charm will deploy API guide  to devspace application developers. This charm will install the dev-space API guide  files in /home/$USER/docs-charm/

# Dependency
Open JDK
Jetty Server

# Installation
To deploy this charm you will need at a minimum: a cloud environment, working Juju installation and a successful bootstrap. Once bootstrapped, deploy the ctap-doc:

    juju deploy hsenidmobile-ctap-doc

And finally expose the ctap-doc charm:

    juju expose hsenidmobile-ctap-doc

#Usage
Open the Browser

    {charm container ip address}:8080/doc

# Links to charms
Developer bundle
https://jujucharms.com/bundle/~ctap/hsenidmobile-ctap/1/hsenidmobile-ctap

CTAP sample app charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-sampleapp-4

CTAP simulator charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-simulator-4

CTAP documentation (API guides) charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-doc-7



